curl --request GET \
--url https://api.syntage.com/datasources/bil/reports/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/datasources/bil/reports/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/datasources/bil/reports/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"@id": "/datasources/bil/reports/9cc7fc78-5e84-4862-af83-c6c7022fcb41",
"@type": "BilReport",
"id": "9cc7fc78-5e84-4862-af83-c6c7022fcb41",
"fecha": "2026-05-19T12:22:39-06:00",
"investigado": "EMPRESA DE PRUEBA SA DE CV",
"folio": "ENG10387-001",
"gradoMaximo": 5,
"data": {
"REPORTES": {
"REPORTE": {
"TIPO": "BASICO",
"INVESTIGADO": "EMPRESA DE PRUEBA SA DE CV",
"FOLIO": "ENG10387-001",
"GRADO_MAXIMO": "5"
}
}
},
"xmlFile": {
"@id": "/files/88d3e2b7-6262-4ec7-9b2b-5a90a6227d01",
"@type": "File",
"id": "88d3e2b7-6262-4ec7-9b2b-5a90a6227d01",
"type": "bil.report.xml",
"resource": "/datasources/bil/reports/9cc7fc78-5e84-4862-af83-c6c7022fcb41",
"mimeType": "text/xml",
"extension": "xml",
"filename": "ENG10387-001.xml"
},
"pdfFile": {
"@id": "/files/0ab1bdf6-9008-4acf-8e31-8196405df2d0",
"@type": "File",
"id": "0ab1bdf6-9008-4acf-8e31-8196405df2d0",
"type": "bil.report.pdf",
"resource": "/datasources/bil/reports/9cc7fc78-5e84-4862-af83-c6c7022fcb41",
"mimeType": "application/pdf",
"extension": "pdf",
"filename": "ENG10387-001.pdf"
},
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}{
"message": "<string>"
}{
"message": "<string>"
}Retrieve a BIL report
Retrieve a single Buró de Investigaciones Legales report by ID.
Authorizations
Your API key is available in the Production and Sandbox dashboards.
Path Parameters
Response
BIL report resource response
Buró de Investigaciones Legales report generated for an entity.
BIL report IRI reference.
"/datasources/bil/reports/9cc7fc78-5e84-4862-af83-c6c7022fcb41"
JSON-LD resource type
Unique BIL report ID.
"9cc7fc78-5e84-4862-af83-c6c7022fcb41"
Date and time reported by BIL for the generated report.
"2026-05-19T12:22:39-06:00"
Name searched and reported by BIL.
"EMPRESA DE PRUEBA SA DE CV"
BIL report folio.
"ENG10387-001"
Highest grade returned by BIL for the report.
5
Parsed BIL XML response. The structure follows the vendor response and can vary by report content.
{
"REPORTES": {
"REPORTE": {
"TIPO": "BASICO",
"INVESTIGADO": "EMPRESA DE PRUEBA SA DE CV",
"FOLIO": "ENG10387-001",
"GRADO_MAXIMO": "5"
}
}
}
File resource for the original BIL XML response.
Show child attributes
Show child attributes
{
"@id": "/files/88d3e2b7-6262-4ec7-9b2b-5a90a6227d01",
"@type": "File",
"id": "88d3e2b7-6262-4ec7-9b2b-5a90a6227d01",
"type": "bil.report.xml",
"resource": "/datasources/bil/reports/9cc7fc78-5e84-4862-af83-c6c7022fcb41",
"mimeType": "text/xml",
"extension": "xml",
"filename": "ENG10387-001.xml"
}
File resource for the BIL PDF report.
Show child attributes
Show child attributes
{
"@id": "/files/0ab1bdf6-9008-4acf-8e31-8196405df2d0",
"@type": "File",
"id": "0ab1bdf6-9008-4acf-8e31-8196405df2d0",
"type": "bil.report.pdf",
"resource": "/datasources/bil/reports/9cc7fc78-5e84-4862-af83-c6c7022fcb41",
"mimeType": "application/pdf",
"extension": "pdf",
"filename": "ENG10387-001.pdf"
}
Date and time the resource was created
"2020-01-01T12:15:00.000Z"
Date and time the resource was last updated
"2020-01-01T12:15:00.000Z"
Was this page helpful?